
QGIS Application - Bug report #2121

trunk compilation errors

2009-11-19 07:37 AM - Markus Neteler

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Mandriva Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 12181

Description

I don't manage to compile trunk on Mandriva 2008, 64bit:

...

-- Found Qt-Version 4.3.1                                                                                                                                                             

-- Found Qt-Version 4.3.1                                                                                                                                                             

-- Configuring done                                                                                                                                                                   

-- Generating done                                                                                                                                                                    

-- Build files have been written to: /home/neteler/software/qgis_trunk/build                                                                                                

         

[  0%] [  1%] [  1%] Built target svnversion                                                                                                                                          

Built target pluginstaller                                                                                                                                                            

Built target mapserverexport                                                                                                                                                          

[  8%] [  8%] Built target ...                                                                                               

[ 33%] Building CXX object src/gui/CMakeFiles/qgis_gui.dir/qgsdetaileditemdelegate.o                                                                          

                       

[ 33%] Building CXX object src/providers/wfs/CMakeFiles/wfsprovider.dir/qgswfsprovider.o

[ 33%] Building CXX object src/providers/grass/CMakeFiles/qgisgrass.dir/qgsgrassprovider.o

/home/neteler/software/qgis_trunk/src/gui/qgscolorbutton.cpp: In member function ‘void [[QgsColorButtonV]]2::setColor(const

QColor&)’:

/home/neteler/software/qgis_trunk/src/gui/qgscolorbutton.cpp:93: error: ‘class QPainter’ has no member named

‘drawRoundedRect’

maker2: *** [src/gui/CMakeFiles/qgis_gui.dir/qgscolorbutton.o] Error 1

maker2: *** Waiting for unfinished jobs....

[ 33%] Building CXX object src/providers/wfs/CMakeFiles/wfsprovider.dir/qgswfsdata.o

maker1: *** [src/gui/CMakeFiles/qgis_gui.dir/all] Error 2

maker1: *** Waiting for unfinished jobs....

[ 33%] Building CXX object src/providers/grass/CMakeFiles/qgisgrass.dir/qgsgrass.o

[ 33%] Building CXX object src/providers/wfs/CMakeFiles/wfsprovider.dir/moc_qgswfsdata.o

[ 33%] Building CXX object src/providers/wfs/CMakeFiles/wfsprovider.dir/moc_qgswfsprovider.o

Linking CXX shared library libqgisgrass.so

Linking CXX shared module libwfsprovider.so

[ 33%] Built target qgisgrass

[ 33%] Built target wfsprovider

make: *** [all] Error 2

[  0%] Built target svnversion

[  7%] Built target ui

[ 23%] Built target qgis_core

[ 23%] Building CXX object src/gui/CMakeFiles/qgis_gui.dir/qgscolorbutton.o

/home/neteler/software/qgis_trunk/src/gui/qgscolorbutton.cpp: In member function ‘void [[QgsColorButtonV]]2::setColor(const
QColor&)’:

/home/neteler/software/qgis_trunk/src/gui/qgscolorbutton.cpp:93: error: ‘class QPainter’ has no member named

‘drawRoundedRect’

maker2: *** [src/gui/CMakeFiles/qgis_gui.dir/qgscolorbutton.o] Error 1

maker1: *** [src/gui/CMakeFiles/qgis_gui.dir/all] Error 2

make: *** [all] Error 2

Deleting the offending line (brutal hack) leads to the next error:

[ 51%] Building CXX object src/app/CMakeFiles/qgis.dir/qgsaddattrdialog.o

/home/neteler/software/qgis_trunk/src/app/qgisapp.cpp: In member function ‘void [[QgisApp]]::loadPythonSupport()’:

/home/neteler/software/qgis_trunk/src/app/qgisapp.cpp:4882: error: no matching function for call to ‘QLibrary::QLibrary(QString&,

QString&)’

/usr/lib/qt4/include/QtCore/qlibrary.h:96: note: candidates are: QLibrary::QLibrary(const QLibrary&)

/usr/lib/qt4/include/QtCore/qlibrary.h:68: note:                 QLibrary::QLibrary(const QString&, int, QObject*)

/usr/lib/qt4/include/QtCore/qlibrary.h:67: note:                 QLibrary::QLibrary(const QString&, QObject*)

/usr/lib/qt4/include/QtCore/qlibrary.h:66: note:                 QLibrary::QLibrary(QObject*)

[ 51%] Building CXX object src/app/CMakeFiles/qgis.dir/qgsattributeactiondialog.o

maker2: *** [src/app/CMakeFiles/qgis.dir/qgisapp.o] Error 1

maker2: *** Waiting for unfinished jobs....

Parsing SIP files for 'gui' library...

/usr/bin/sip -c gui -b /home/neteler/software/qgis_trunk/build/python/gui/gui.sbf -I /home/neteler/software/qgis_trunk/python -I

/usr/share/sip/PyQt4 -x [[VendorID]] -t WS_X11 -x [[PyQt]]_NoPrintRangeBug -t Qt_4_3_0 -g

/home/neteler/software/qgis_trunk/python/gui/gui.sip

maker1: *** [src/app/CMakeFiles/qgis.dir/all] Error 2

Parsing SIP files for 'analysis' library...

/usr/bin/sip -c analysis -b /home/neteler/software/qgis_trunk/build/python/analysis/analysis.sbf -I

/home/neteler/software/qgis_trunk/python -I /usr/share/sip/PyQt4 -x [[VendorID]] -t WS_X11 -x [[PyQt]]_NoPrintRangeBug -t

Qt_4_3_0 -g /home/neteler/software/qgis_trunk/python/analysis/analysis.sip

Creating makefiles...

Creating qgisconfig.py...

...

History

#1 - 2009-11-19 09:22 AM - Jürgen Fischer

- Status changed from Open to In Progress

please try commit:1cb41abb (SVN r12199) and report back.

#2 - 2009-11-19 09:24 AM - Markus Neteler

OK, but bow I get

[ 41%] Built target qgis_gui                                                                                                                                                          

[ 41%] Generating core/Makefile, gui/Makefile, analysis/Makefile                                                                                                                      

[ 42%] Building CXX object src/plugins/copyright_label/CMakeFiles/copyrightlabelplugin.dir/plugin.o                                                                               

   

Linking CXX shared module libdelimitedtextplugin.so                                                                                                                                   
Parsing SIP files for 'core' library...                                                                                                                                               

/usr/bin/sip -c core -b /home/neteler/software/qgis_trunk/build/python/core/core.sbf -I /usr/share/sip/PyQt4 -x [[VendorID]] -t WS_X11 -x

[[PyQt]]_NoPrintRangeBug -t Qt_4_3_0 -g /home/neteler/software/qgis_trunk/python/core/core.sip                                                                                 

                                                          

In file included from /home/neteler/software/qgis_trunk/src/plugins/copyright_label/plugingui.h:15,                                                                                   

                 from /home/neteler/software/qgis_trunk/src/plugins/copyright_label/plugin.cpp:45:                                                                                    

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:24:25: error: qformlayout.h: No such file or directory            

                            

[ 43%] Built target delimitedtextplugin                                                                                                                                               

[ 43%] Scanning dependencies of target qgis                                                                                                                                           

Building CXX object src/plugins/copyright_label/CMakeFiles/copyrightlabelplugin.dir/plugingui.o                                                                                      

In file included from /home/neteler/software/qgis_trunk/src/plugins/copyright_label/plugingui.h:15,                                                                                   

                 from /home/neteler/software/qgis_trunk/src/plugins/copyright_label/plugingui.cpp:12:                                                                                 

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:24:25: error: qformlayout.h: No such file or directory            

                            

In file included from /home/neteler/software/qgis_trunk/src/plugins/copyright_label/plugingui.h:15,                                                                                   

                 from /home/neteler/software/qgis_trunk/src/plugins/copyright_label/plugingui.cpp:12:                                                                                 

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:35: error: ISO C++ forbids declaration of ‘QFormLayout’

with no type                           

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:35: error: expected ‘;’ before ‘*’ token                                     

                 

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h: In member function ‘void

Ui_QgsCopyrightLabelPluginGuiBase::setupUi(QDialog*)’:               

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:67: error: ‘formLayout’ was not declared in this scope         

                               

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:67: error: expected type-specifier before ‘QFormLayout’    

                                   

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:67: error: expected @;' before ‘QFormLayout’                      

                            

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:71: error: ‘QFormLayout’ has not been declared                  

                              

In file included from /home/neteler/software/qgis_trunk/src/plugins/copyright_label/plugingui.h:15,                                                                                   

                 from /home/neteler/software/qgis_trunk/src/plugins/copyright_label/plugin.cpp:45:

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:35: error: ISO C++ forbids declaration of ‘QFormLayout’

with no type

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:35: error: expected ‘;’ before ‘*’ token

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h: In member function ‘void

Ui_QgsCopyrightLabelPluginGuiBase::setupUi(QDialog*)’:

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:67: error: ‘formLayout’ was not declared in this scope

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:67: error: expected type-specifier before ‘QFormLayout’

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:67: error: expected @;' before ‘QFormLayout’

/home/neteler/software/qgis_trunk/build/src/plugins/copyright_label/ui_pluginguibase.h:71: error: ‘QFormLayout’ has not been declared

maker2: *** [src/plugins/copyright_label/CMakeFiles/copyrightlabelplugin.dir/plugingui.o] Error 1

maker2: *** Waiting for unfinished jobs....

Linking CXX shared module libinterpolationplugin.so

maker2: *** [src/plugins/copyright_label/CMakeFiles/copyrightlabelplugin.dir/plugin.o] Error 1

maker1: *** [src/plugins/copyright_label/CMakeFiles/copyrightlabelplugin.dir/all] Error 2

maker1: *** Waiting for unfinished jobs....

[ 45%] Built target interpolationplugin

[ 45%] [ 45%] Building CXX object src/app/CMakeFiles/qgis.dir/main.o

[ 45%] Building CXX object src/app/CMakeFiles/qgis.dir/qgisapp.o

Building CXX object src/app/CMakeFiles/qgis.dir/qgsattributeeditor.o
/home/neteler/software/qgis_trunk/src/app/qgsattributeeditor.cpp: In static member function ‘static QWidget*

[[QgsAttributeEditor]]::createAttributeEditor(QWidget*, QWidget*, [[QgsVectorLayer]]*, int, const QVariant&)’:

/home/neteler/software/qgis_trunk/src/app/qgsattributeeditor.cpp:329: error: ‘pte’ was not declared in this scope

maker2: *** [src/app/CMakeFiles/qgis.dir/qgsattributeeditor.o] Error 1

maker2: *** Waiting for unfinished jobs....

maker1: *** [src/app/CMakeFiles/qgis.dir/all] Error 2

Parsing SIP files for 'gui' library...

/usr/bin/sip -c gui -b /home/neteler/software/qgis_trunk/build/python/gui/gui.sbf -I /home/neteler/software/qgis_trunk/python -I /usr/share/sip/PyQt4

-x [[VendorID]] -t WS_X11 -x [[PyQt]]_NoPrintRangeBug -t Qt_4_3_0 -g /home/neteler/software/qgis_trunk/python/gui/gui.sip

Parsing SIP files for 'analysis' library...

#3 - 2009-11-19 03:53 PM - Jürgen Fischer

please try again with >commit:8e6fcdef (SVN r12200)

#4 - 2009-11-19 04:08 PM - Markus Neteler

Thanks. Now:

[ 31%] Built target memoryprovider                                                                                        

[ 31%] Building CXX object src/gui/CMakeFiles/qgis_gui.dir/qgsgenericprojectionselector.o                                 

/home/neteler/software/qgis_trunk/src/gui/qgscolorbutton.cpp: In member function ‘void [[QgsColorButtonV]]2::setColor(const QColor&)’:                

                                                                                                 

/home/neteler/software/qgis_trunk/src/gui/qgscolorbutton.cpp:93: error: ‘class QPainter’ has no member named ‘drawRoundedRect’                       

                                                                                              

maker2: *** [src/gui/CMakeFiles/qgis_gui.dir/qgscolorbutton.o] Error 1                                                   

Qt-Version is 4.3.1.

I don't want to stress you, it is just the hope to compile on not-so-new-but-well-functioning servers.

#5 - 2009-11-19 04:40 PM - Jürgen Fischer

#6 - 2009-11-19 04:46 PM - Jürgen Fischer

Replying to [comment:5 jef]:

<pre>

<pre>

#7 - 2009-11-19 04:55 PM - Jürgen Fischer

Replying to [comment:6 jef]:
> 

<pre>

ouch.  looks like it's late.

<pre>

<pre>

#8 - 2009-11-19 10:20 PM - Markus Neteler

Here is the latest output after "make -k":

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/qgscontinuouscolordialog.o

In file included from /home/neteler/software/qgis_trunk/src/app/qgscontinuouscolordialog.h:23,    

     from /home/neteler/software/qgis_trunk/src/app/qgscontinuouscolordialog.cpp:20:  

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:24:25: error: qformlayout.h: No such file or directory   

In file included from /home/neteler/software/qgis_trunk/src/app/qgscontinuouscolordialog.h:23,    

     from /home/neteler/software/qgis_trunk/src/app/qgscontinuouscolordialog.cpp:20:  

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:32: error: ISO C++ forbids declaration of

\\u2018QFormLayout\\u2019 with no type    

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:32: error: expected \\u2018;\\u2019 before

\\u2018*\\u2019 token

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h: In member function \\u2018void

Ui_QgsContinuousColorDialogBase::setupUi(QDialog*)\\u2019:      

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:58: error: \\u2018formLayout\\u2019 was not declared in

this scope      

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:58: error: expected type-specifier before

\\u2018QFormLayout\\u2019     

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:58: error: expected @;' before

\\u2018QFormLayout\\u2019    

maker2: *** [src/app/CMakeFiles/qgis.dir/qgscontinuouscolordialog.o] Error 1 

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/qgsgraduatedsymboldialog.o     

In file included from /home/neteler/software/qgis_trunk/src/app/qgsludialog.h:22,     

     from /home/neteler/software/qgis_trunk/src/app/qgsgraduatedsymboldialog.cpp:25:  

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:23:25: error: qformlayout.h: No such file or directory       

In file included from /home/neteler/software/qgis_trunk/src/app/qgsludialog.h:22,     

     from /home/neteler/software/qgis_trunk/src/app/qgsgraduatedsymboldialog.cpp:25:  

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:29: error: ISO C++ forbids declaration of \\u2018QFormLayout\\u2019

with no type     

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:29: error: expected \\u2018;\\u2019 before \\u2018*\\u2019 token       

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h: In member function \\u2018void

Ui_QgsLUDialogBase::setupUi(QDialog*)\\u2019:

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:47: error: \\u2018formLayout\\u2019 was not declared in this scope      

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:47: error: expected type-specifier before \\u2018QFormLayout\\u2019  

   

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:47: error: expected @;' before \\u2018QFormLayout\\u2019   

maker2: *** [src/app/CMakeFiles/qgis.dir/qgsgraduatedsymboldialog.o] Error 1 

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/qgsludialog.o      

In file included from /home/neteler/software/qgis_trunk/src/app/qgsludialog.h:22,     
     from /home/neteler/software/qgis_trunk/src/app/qgsludialog.cpp:19:   

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:23:25: error: qformlayout.h: No such file or directory       

In file included from /home/neteler/software/qgis_trunk/src/app/qgsludialog.h:22,     

     from /home/neteler/software/qgis_trunk/src/app/qgsludialog.cpp:19:   

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:29: error: ISO C++ forbids declaration of \\u2018QFormLayout\\u2019

with no type     

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:29: error: expected \\u2018;\\u2019 before \\u2018*\\u2019 token       

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h: In member function \\u2018void

Ui_QgsLUDialogBase::setupUi(QDialog*)\\u2019:

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:47: error: \\u2018formLayout\\u2019 was not declared in this scope      

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:47: error: expected type-specifier before \\u2018QFormLayout\\u2019  

   

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:47: error: expected @;' before \\u2018QFormLayout\\u2019   

maker2: *** [src/app/CMakeFiles/qgis.dir/qgsludialog.o] Error 1  

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/qgsmaptoolrotatepointsymbols.o 

/home/neteler/software/qgis_trunk/src/app/qgsmaptoolrotatepointsymbols.cpp: In member function \\u2018double

[[QgsMapToolRotatePointSymbols]]::calculateAzimut(const QPoint&)\\u2019:       

/home/neteler/software/qgis_trunk/src/app/qgsmaptoolrotatepointsymbols.cpp:258: error: \\u2018atan2\\u2019 was not declared in this scope   

/home/neteler/software/qgis_trunk/src/app/qgsmaptoolrotatepointsymbols.cpp:258: error: \\u2018M_PI\\u2019 was not declared in this scope

maker2: *** [src/app/CMakeFiles/qgis.dir/qgsmaptoolrotatepointsymbols.o] Error 1     

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/qgsvectorlayerproperties.o     

In file included from /home/neteler/software/qgis_trunk/src/app/qgscontinuouscolordialog.h:23,    

     from /home/neteler/software/qgis_trunk/src/app/qgsvectorlayerproperties.cpp:27:  

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:24:25: error: qformlayout.h: No such file or directory      

In file included from /home/neteler/software/qgis_trunk/src/app/qgscontinuouscolordialog.h:23,    

     from /home/neteler/software/qgis_trunk/src/app/qgsvectorlayerproperties.cpp:27:  

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:32: error: ISO C++ forbids declaration of

\\u2018QFormLayout\\u2019 with no type    

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:32: error: expected \\u2018;\\u2019 before

\\u2018*\\u2019 token

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h: In member function \\u2018void

Ui_QgsContinuousColorDialogBase::setupUi(QDialog*)\\u2019:      

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:58: error: \\u2018formLayout\\u2019 was not declared in

this scope      

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:58: error: expected type-specifier before

\\u2018QFormLayout\\u2019     

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:58: error: expected @;' before

\\u2018QFormLayout\\u2019    

maker2: *** [src/app/CMakeFiles/qgis.dir/qgsvectorlayerproperties.o] Error 1 

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/composer/qgscomposer.o 

In file included from /home/neteler/software/qgis_trunk/src/app/composer/qgscomposerlegendwidget.h:21,

     from /home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp:27:      

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscomposerlegendwidgetbase.h: In member function \\u2018void

Ui_QgsComposerLegendWidgetBase::setupUi(QWidget*)\\u2019:

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscomposerlegendwidgetbase.h:174: error: \\u2018class QTreeView\\u2019 has no

member named \\u2018setHeaderHidden\\u2019      

/home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp: In member function \\u2018void

[[QgsComposer]]::on_mActionExportAsPDF_triggered()\\u2019:       

/home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp:459: error: \\u2018class QPrinter\\u2019 has no member named

\\u2018setPaperSize\\u2019      

/home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp:459: error: \\u2018Millimeter\\u2019 is not a member of

\\u2018QPrinter\\u2019 
/home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp: In member function \\u2018void

[[QgsComposer]]::on_mActionPrint_triggered()\\u2019: 

/home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp:478: error: \\u2018class QPrinter\\u2019 has no member named

\\u2018setPaperSize\\u2019      

/home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp:478: error: \\u2018Millimeter\\u2019 is not a member of

\\u2018QPrinter\\u2019 

maker2: *** [src/app/CMakeFiles/qgis.dir/composer/qgscomposer.o] Error 1 

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/composer/qgscomposerlegendwidget.o 

In file included from /home/neteler/software/qgis_trunk/src/app/composer/qgscomposerlegendwidget.h:21,

     from /home/neteler/software/qgis_trunk/src/app/composer/qgscomposerlegendwidget.cpp:18:      

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscomposerlegendwidgetbase.h: In member function \\u2018void

Ui_QgsComposerLegendWidgetBase::setupUi(QWidget*)\\u2019:

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscomposerlegendwidgetbase.h:174: error: \\u2018class QTreeView\\u2019 has no

member named \\u2018setHeaderHidden\\u2019      

maker2: *** [src/app/CMakeFiles/qgis.dir/composer/qgscomposerlegendwidget.o] Error 1 

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/moc_qgscontinuouscolordialog.o 

In file included from /home/neteler/software/qgis_trunk/build/src/app/../../../src/app/qgscontinuouscolordialog.h:23,     

     from /home/neteler/software/qgis_trunk/build/src/app/moc_qgscontinuouscolordialog.cxx:10:    

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:24:25: error: qformlayout.h: No such file or directory      

In file included from /home/neteler/software/qgis_trunk/build/src/app/../../../src/app/qgscontinuouscolordialog.h:23,     

     from /home/neteler/software/qgis_trunk/build/src/app/moc_qgscontinuouscolordialog.cxx:10:    

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:32: error: ISO C++ forbids declaration of

\\u2018QFormLayout\\u2019 with no type    

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:32: error: expected \\u2018;\\u2019 before

\\u2018*\\u2019 token

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h: In member function \\u2018void

Ui_QgsContinuousColorDialogBase::setupUi(QDialog*)\\u2019:      

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:58: error: \\u2018formLayout\\u2019 was not declared in

this scope      

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:58: error: expected type-specifier before

\\u2018QFormLayout\\u2019     

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:58: error: expected @;' before

\\u2018QFormLayout\\u2019    

maker2: *** [src/app/CMakeFiles/qgis.dir/moc_qgscontinuouscolordialog.o] Error 1     

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/moc_qgsludialog.o  

In file included from /home/neteler/software/qgis_trunk/build/src/app/../../../src/app/qgsludialog.h:22,      

     from /home/neteler/software/qgis_trunk/build/src/app/moc_qgsludialog.cxx:10:     

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:23:25: error: qformlayout.h: No such file or directory       

In file included from /home/neteler/software/qgis_trunk/build/src/app/../../../src/app/qgsludialog.h:22,      

     from /home/neteler/software/qgis_trunk/build/src/app/moc_qgsludialog.cxx:10:     

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:29: error: ISO C++ forbids declaration of \\u2018QFormLayout\\u2019

with no type     

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:29: error: expected \\u2018;\\u2019 before \\u2018*\\u2019 token       

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h: In member function \\u2018void

Ui_QgsLUDialogBase::setupUi(QDialog*)\\u2019:

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:47: error: \\u2018formLayout\\u2019 was not declared in this scope      

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:47: error: expected type-specifier before \\u2018QFormLayout\\u2019  

   

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgsludialogbase.h:47: error: expected @;' before \\u2018QFormLayout\\u2019   

maker2: *** [src/app/CMakeFiles/qgis.dir/moc_qgsludialog.o] Error 1      

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/moc_qgscomposerlegendwidget.o  

In file included from /home/neteler/software/qgis_trunk/build/src/app/../../../src/app/composer/qgscomposerlegendwidget.h:21,   
     from /home/neteler/software/qgis_trunk/build/src/app/moc_qgscomposerlegendwidget.cxx:10:     

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscomposerlegendwidgetbase.h: In member function \\u2018void

Ui_QgsComposerLegendWidgetBase::setupUi(QWidget*)\\u2019:

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscomposerlegendwidgetbase.h:174: error: \\u2018class QTreeView\\u2019 has no

member named \\u2018setHeaderHidden\\u2019      

maker2: *** [src/app/CMakeFiles/qgis.dir/moc_qgscomposerlegendwidget.o] Error 1      

maker2: Target @src/app/CMakeFiles/qgis.dir/build' not remade because of errors.     

maker1: *** [src/app/CMakeFiles/qgis.dir/all] Error 2

[ 34%] Built target qgis_analysis     

[ 34%] Built target python

[ 35%] Built target qgis_help 

[ 35%] Built target qgispython

[ 35%] Built target memoryprovider    

[ 35%] Built target ogrprovider       

[ 36%] Built target wmsprovider       

[ 36%] Built target delimitedtextprovider 

[ 36%] Built target osmprovider       

[ 37%] Built target postgresprovider  

[ 37%] Built target spatialiteprovider

[ 38%] Built target gpxprovider       

[ 38%] Built target wfsprovider       

[ 38%] Built target qgisgrass 

[ 38%] Built target grassprovider     

[ 39%] Built target copyrightlabelplugin  

[ 40%] Built target delimitedtextplugin   

[ 42%] Built target interpolationplugin   

[ 42%] Built target northarrowplugin  

[ 43%] Building CXX object src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/plugin.o   

In file included from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugingui.h:15,     

     from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugin.cpp:52:      

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:24:25: error: qformlayout.h: No such file or directory 

In file included from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugingui.h:15,     

     from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugin.cpp:52:      

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:31: error: ISO C++ forbids declaration of

\\u2018QFormLayout\\u2019 with no type   

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:31: error: expected \\u2018;\\u2019 before \\u2018*\\u2019

token 

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h: In member function \\u2018void

Ui_QgsScaleBarPluginGuiBase::setupUi(QDialog*)\\u2019:     

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: \\u2018formLayout\\u2019 was not declared in this

scope 

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: expected type-specifier before

\\u2018QFormLayout\\u2019

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: expected @;' before \\u2018QFormLayout\\u2019   

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:57: error: \\u2018QFormLayout\\u2019 has not been declared 

maker2: *** [src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/plugin.o] Error 1   

[ 43%] Building CXX object src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/plugingui.o

In file included from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugingui.h:15,     

     from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugingui.cpp:12:   

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:24:25: error: qformlayout.h: No such file or directory 

In file included from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugingui.h:15,     

     from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugingui.cpp:12:   

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:31: error: ISO C++ forbids declaration of
\\u2018QFormLayout\\u2019 with no type   

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:31: error: expected \\u2018;\\u2019 before \\u2018*\\u2019

token 

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h: In member function \\u2018void

Ui_QgsScaleBarPluginGuiBase::setupUi(QDialog*)\\u2019:     

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: \\u2018formLayout\\u2019 was not declared in this

scope 

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: expected type-specifier before

\\u2018QFormLayout\\u2019

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: expected @;' before \\u2018QFormLayout\\u2019   

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:57: error: \\u2018QFormLayout\\u2019 has not been declared 

maker2: *** [src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/plugingui.o] Error 1

[ 43%] Building CXX object src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/moc_plugingui.o    

In file included from /home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/../../../../src/plugins/scale_bar/plugingui.h:15,   

     from /home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/moc_plugingui.cxx:10:     

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:24:25: error: qformlayout.h: No such file or directory 

In file included from /home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/../../../../src/plugins/scale_bar/plugingui.h:15,   

     from /home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/moc_plugingui.cxx:10:     

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:31: error: ISO C++ forbids declaration of

\\u2018QFormLayout\\u2019 with no type   

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:31: error: expected \\u2018;\\u2019 before \\u2018*\\u2019

token 

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h: In member function \\u2018void

Ui_QgsScaleBarPluginGuiBase::setupUi(QDialog*)\\u2019:     

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: \\u2018formLayout\\u2019 was not declared in this

scope 

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: expected type-specifier before

\\u2018QFormLayout\\u2019

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: expected @;' before \\u2018QFormLayout\\u2019   

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:57: error: \\u2018QFormLayout\\u2019 has not been declared 

maker2: *** [src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/moc_plugingui.o] Error 1

maker2: Target @src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/build' not remade because of errors.     

maker1: *** [src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/all] Error 2

[ 43%] Building CXX object src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/qgsselectgeoraster_ui.o      

In file included from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsoracleconnect_ui.h:21,   

     from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsselectgeoraster_ui.cpp:18:   

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:22:25: error: qformlayout.h: No such file or directory

 

In file included from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsoracleconnect_ui.h:21,   

     from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsselectgeoraster_ui.cpp:18:   

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:27: error: ISO C++ forbids declaration of

\\u2018QFormLayout\\u2019 with no type

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:27: error: expected \\u2018;\\u2019 before

\\u2018*\\u2019 token    

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h: In member function \\u2018void

Ui_OracleConnectGuiBase::setupUi(QDialog*)\\u2019:  

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: \\u2018formLayout\\u2019 was not

declared in this scope  

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: expected type-specifier before

\\u2018QFormLayout\\u2019 

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: expected @;' before

\\u2018QFormLayout\\u2019

maker2: *** [src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/qgsselectgeoraster_ui.o] Error 1  
[ 44%] Building CXX object src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/qgsoracleconnect_ui.o

In file included from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsoracleconnect_ui.h:21,   

     from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsoracleconnect_ui.cpp:17: 

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:22:25: error: qformlayout.h: No such file or directory

 

In file included from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsoracleconnect_ui.h:21,   

     from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsoracleconnect_ui.cpp:17: 

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:27: error: ISO C++ forbids declaration of

\\u2018QFormLayout\\u2019 with no type

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:27: error: expected \\u2018;\\u2019 before

\\u2018*\\u2019 token    

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h: In member function \\u2018void

Ui_OracleConnectGuiBase::setupUi(QDialog*)\\u2019:  

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: \\u2018formLayout\\u2019 was not

declared in this scope  

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: expected type-specifier before

\\u2018QFormLayout\\u2019 

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: expected @;' before

\\u2018QFormLayout\\u2019

maker2: *** [src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/qgsoracleconnect_ui.o] Error 1

[ 44%] Building CXX object src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/moc_qgsoracleconnect_ui.o    

In file included from /home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/../../../../src/plugins/oracle_raster/qgsoracleconnect_ui.h:21, 

     from /home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/moc_qgsoracleconnect_ui.cxx:10:   

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:22:25: error: qformlayout.h: No such file or directory

 

In file included from /home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/../../../../src/plugins/oracle_raster/qgsoracleconnect_ui.h:21, 

     from /home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/moc_qgsoracleconnect_ui.cxx:10:   

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:27: error: ISO C++ forbids declaration of

\\u2018QFormLayout\\u2019 with no type

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:27: error: expected \\u2018;\\u2019 before

\\u2018*\\u2019 token    

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h: In member function \\u2018void

Ui_OracleConnectGuiBase::setupUi(QDialog*)\\u2019:  

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: \\u2018formLayout\\u2019 was not

declared in this scope  

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: expected type-specifier before

\\u2018QFormLayout\\u2019 

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: expected @;' before

\\u2018QFormLayout\\u2019

maker2: *** [src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/moc_qgsoracleconnect_ui.o] Error 1

maker2: Target @src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/build' not remade because of errors.   

maker1: *** [src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/all] Error 2      

[ 45%] Built target rasterterrainplugin   

[ 46%] Built target quickprintplugin  

[ 47%] Built target coordinatecaptureplugin       

[ 48%] Built target dxf2shpconverterplugin

[ 49%] Built target ogrconverterplugin

[ 52%] Built target diagramoverlay    

[ 54%] Built target evis  

[ 54%] Building CXX object src/plugins/labeling/CMakeFiles/labelingplugin.dir/labeling.o  

/home/neteler/software/qgis_trunk/src/plugins/labeling/labeling.cpp: In member function \\u2018virtual void

[[LabelingTool]]::canvasPressEvent(QMouseEvent*)\\u2019:

/home/neteler/software/qgis_trunk/src/plugins/labeling/labeling.cpp:83: error: \\u2018class QMouseEvent\\u2019 has no member named
\\u2018posF\\u2019   

maker2: *** [src/plugins/labeling/CMakeFiles/labelingplugin.dir/labeling.o] Error 1  

maker2: Target @src/plugins/labeling/CMakeFiles/labelingplugin.dir/build' not remade because of errors.      

maker1: *** [src/plugins/labeling/CMakeFiles/labelingplugin.dir/all] Error 2 

[ 56%] Built target spitplugin

[ 57%] Built target gpsimporterplugin 

[ 58%] Built target wfsplugin 

[ 58%] Building CXX object src/plugins/georeferencer/CMakeFiles/georefplugin.dir/qgspointdialog.o 

In file included from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.h:19,

     from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgspointdialog.cpp:35:      

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:22:25: error: qformlayout.h: No such file

or directory    

In file included from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.h:19,

     from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgspointdialog.cpp:35:      

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:27: error: ISO C++ forbids declaration of

\\u2018QFormLayout\\u2019 with no type  

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:27: error: expected \\u2018;\\u2019

before \\u2018*\\u2019 token      

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h: In member function \\u2018void

Ui_QgsGeorefWarpOptionsDialogBase::setupUi(QDialog*)\\u2019:  

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: \\u2018formLayout\\u2019

was not declared in this scope    

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: expected type-specifier before

\\u2018QFormLayout\\u2019   

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: expected @;' before

\\u2018QFormLayout\\u2019  

maker2: *** [src/plugins/georeferencer/CMakeFiles/georefplugin.dir/qgspointdialog.o] Error 1     

[ 58%] Building CXX object src/plugins/georeferencer/CMakeFiles/georefplugin.dir/qgsgeorefwarpoptionsdialog.o 

In file included from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.h:19,

     from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.cpp:16:      

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:22:25: error: qformlayout.h: No such file

or directory    

In file included from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.h:19,

     from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.cpp:16:      

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:27: error: ISO C++ forbids declaration of

\\u2018QFormLayout\\u2019 with no type  

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:27: error: expected \\u2018;\\u2019

before \\u2018*\\u2019 token      

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h: In member function \\u2018void

Ui_QgsGeorefWarpOptionsDialogBase::setupUi(QDialog*)\\u2019:  

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: \\u2018formLayout\\u2019

was not declared in this scope    

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: expected type-specifier before

\\u2018QFormLayout\\u2019   

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: expected @;' before

\\u2018QFormLayout\\u2019  

maker2: *** [src/plugins/georeferencer/CMakeFiles/georefplugin.dir/qgsgeorefwarpoptionsdialog.o] Error 1     

[ 58%] Building CXX object src/plugins/georeferencer/CMakeFiles/georefplugin.dir/moc_qgsgeorefwarpoptionsdialog.o 

In file included from

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/../../../../src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.h:19,  

     from /home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/moc_qgsgeorefwarpoptionsdialog.cxx:10:  

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:22:25: error: qformlayout.h: No such file

or directory    
In file included from

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/../../../../src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.h:19,  

     from /home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/moc_qgsgeorefwarpoptionsdialog.cxx:10:  

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:27: error: ISO C++ forbids declaration of

\\u2018QFormLayout\\u2019 with no type  

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:27: error: expected \\u2018;\\u2019

before \\u2018*\\u2019 token      

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h: In member function \\u2018void

Ui_QgsGeorefWarpOptionsDialogBase::setupUi(QDialog*)\\u2019:  

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: \\u2018formLayout\\u2019

was not declared in this scope    

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: expected type-specifier before

\\u2018QFormLayout\\u2019   

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: expected @;' before

\\u2018QFormLayout\\u2019  

maker2: *** [src/plugins/georeferencer/CMakeFiles/georefplugin.dir/moc_qgsgeorefwarpoptionsdialog.o] Error 1 

maker2: Target @src/plugins/georeferencer/CMakeFiles/georefplugin.dir/build' not remade because of errors.   

maker1: *** [src/plugins/georeferencer/CMakeFiles/georefplugin.dir/all] Error 2      

[ 66%] Built target grassplugin       

[ 67%] Built target pluginstaller     

[ 67%] Built target mapserverexport   

[ 67%] Built target ftools

[ 68%] Built target osmplugin 

[ 70%] Built target ftools_tools      

maker1: Target @all' not remade because of errors.   

make: *** [all] Error 2   

make: Target @default_target' not remade because of errors.   

[  0%] Built target svnversion

[  7%] Built target ui

[ 23%] Built target qgis_core

[ 31%] Built target qgis_gui

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/qgscontinuouscolordialog.o

In file included from /home/neteler/software/qgis_trunk/src/app/qgscontinuouscolordialog.h:23,

     from /home/neteler/software/qgis_trunk/src/app/qgscontinuouscolordialog.cpp:20:

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:24:25: error: qformlayout.h: No such file or directory

In file included from /home/neteler/software/qgis_trunk/src/app/qgscontinuouscolordialog.h:23,

     from /home/neteler/software/qgis_trunk/src/app/qgscontinuouscolordialog.cpp:20:

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:32: error: ISO C++ forbids declaration of

\\u2018QFormLayout\\u2019 with no type

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:32: error: expected \\u2018;\\u2019 before

\\u2018*\\u2019 token

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h: In member function \\u2018void

Ui_QgsContinuousColorDialogBase::setupUi(QDialog*)\\u2019:

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:58: error: \\u2018formLayout\\u2019 was not declared in

this scope

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:58: error: expected type-specifier before

\\u2018QFormLayout\\u2019

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscontinuouscolordialogbase.h:58: error: expected @;' before

\\u2018QFormLayout\\u2019

maker2: *** [src/app/CMakeFiles/qgis.dir/qgscontinuouscolordialog.o] Error 1

maker1: *** [src/app/CMakeFiles/qgis.dir/all] Error 2

make: *** [all] Error 2
#9 - 2009-11-20 03:00 AM - Jürgen Fischer

- Status changed from In Progress to Open

#10 - 2009-11-20 11:50 AM - Tim Sutton

- Status changed from Open to In Progress

Can you try again with >= commit:994a5ba8 (SVN r12211) ? Just paste any remaining errors to this ticket.

	

Regards

	

Tim

#11 - 2009-11-20 12:07 PM - Markus Neteler

Thanks Tim. Here we go:

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/qgsmaptoolrotatepointsymbols.o                                     

/home/neteler/software/qgis_trunk/src/app/qgsmaptoolrotatepointsymbols.cpp: In member function ‘double

[[QgsMapToolRotatePointSymbols]]::calculateAzimut(const QPoint&)’:                                                                               

/home/neteler/software/qgis_trunk/src/app/qgsmaptoolrotatepointsymbols.cpp:258: error: ‘atan2’ was not declared in this scope                               

                                                                                       

/home/neteler/software/qgis_trunk/src/app/qgsmaptoolrotatepointsymbols.cpp:258: error: ‘M_PI’ was not declared in this scope                                

                                                                                       

maker2: *** [src/app/CMakeFiles/qgis.dir/qgsmaptoolrotatepointsymbols.o] Error 1                                         

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/qgsvectorlayerproperties.o                                         

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/composer/qgscomposer.o                                             

In file included from /home/neteler/software/qgis_trunk/src/app/composer/qgscomposerlegendwidget.h:21,                    

                 from /home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp:27:                              

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscomposerlegendwidgetbase.h: In member function ‘void

Ui_QgsComposerLegendWidgetBase::setupUi(QWidget*)’:                                                                                

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscomposerlegendwidgetbase.h:174: error: ‘class QTreeView’ has no member named

‘setHeaderHidden’                                                                                          

/home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp: In member function ‘void

[[QgsComposer]]::on_mActionExportAsPDF_triggered()’:                                                                                                       

/home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp:459: error: ‘class QPrinter’ has no member named ‘setPaperSize’              

                                                                                                   

/home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp:459: error: ‘Millimeter’ is not a member of ‘QPrinter’ 

/home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp: In member function ‘void

[[QgsComposer]]::on_mActionPrint_triggered()’:                                                                                                             

/home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp:478: error: ‘class QPrinter’ has no member named ‘setPaperSize’              
/home/neteler/software/qgis_trunk/src/app/composer/qgscomposer.cpp:478: error: ‘Millimeter’ is not a member of ‘QPrinter’ 

maker2: *** [src/app/CMakeFiles/qgis.dir/composer/qgscomposer.o] Error 1                                                 

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/composer/qgscomposerlabelwidget.o                                  

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/composer/qgscomposerlegendwidget.o                                 

In file included from /home/neteler/software/qgis_trunk/src/app/composer/qgscomposerlegendwidget.h:21,                    

                 from /home/neteler/software/qgis_trunk/src/app/composer/qgscomposerlegendwidget.cpp:18:                  

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscomposerlegendwidgetbase.h: In member function ‘void

Ui_QgsComposerLegendWidgetBase::setupUi(QWidget*)’:                                                                                

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscomposerlegendwidgetbase.h:174: error: ‘class QTreeView’ has no member named

‘setHeaderHidden’                                                                                          

maker2: *** [src/app/CMakeFiles/qgis.dir/composer/qgscomposerlegendwidget.o] Error 1                                     

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/moc_qgscontinuouscolordialog.o                                     

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/moc_qgsludialog.o                                                  

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/moc_qgscomposerlabelwidget.o                                       

[ 32%] Building CXX object src/app/CMakeFiles/qgis.dir/moc_qgscomposerlegendwidget.o                                      

In file included from /home/neteler/software/qgis_trunk/build/src/app/../../../src/app/composer/qgscomposerlegendwidget.h:21,

                 from /home/neteler/software/qgis_trunk/build/src/app/moc_qgscomposerlegendwidget.cxx:10:

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscomposerlegendwidgetbase.h: In member function ‘void

Ui_QgsComposerLegendWidgetBase::setupUi(QWidget*)’:

/home/neteler/software/qgis_trunk/build/src/app/../ui/ui_qgscomposerlegendwidgetbase.h:174: error: ‘class QTreeView’ has no member named

‘setHeaderHidden’

maker2: *** [src/app/CMakeFiles/qgis.dir/moc_qgscomposerlegendwidget.o] Error 1

maker2: Target @src/app/CMakeFiles/qgis.dir/build' not remade because of errors.

maker1: *** [src/app/CMakeFiles/qgis.dir/all] Error 2

...

[ 42%] Generating ui_pluginguibase.h                                                                                      

Scanning dependencies of target scalebarplugin                                                                            

[ 43%] Building CXX object src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/plugin.o                                   

In file included from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugingui.h:15,                             

                 from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugin.cpp:52:                              

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:24:25: error: qformlayout.h: No such file or directory                     

                                                                                       

In file included from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugingui.h:15,                             

                 from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugin.cpp:52:                              

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:31: error: ISO C++ forbids declaration of ‘QFormLayout’ with no

type                                                                                               

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:31: error: expected ‘;’ before ‘*’ token 

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h: In member function ‘void

Ui_QgsScaleBarPluginGuiBase::setupUi(QDialog*)’:                                                                                         

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: ‘formLayout’ was not declared in this scope                  

                                                                                          

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: expected type-specifier before ‘QFormLayout’              

                                                                                             

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: expected @;' before ‘QFormLayout’                               

                                                                                       

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:57: error: ‘QFormLayout’ has not been declared                            

                                                                                        

maker2: *** [src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/plugin.o] Error 1                                       

[ 43%] Building CXX object src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/plugingui.o                                

In file included from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugingui.h:15,                             

                 from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugingui.cpp:12:                           

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:24:25: error: qformlayout.h: No such file or directory                     

2024-04-27 14/19



                                                                                       

In file included from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugingui.h:15,                             

                 from /home/neteler/software/qgis_trunk/src/plugins/scale_bar/plugingui.cpp:12:                           

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:31: error: ISO C++ forbids declaration of ‘QFormLayout’ with no

type                                                                                               

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:31: error: expected ‘;’ before ‘*’ token 

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h: In member function ‘void

Ui_QgsScaleBarPluginGuiBase::setupUi(QDialog*)’:                                                                                         

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: ‘formLayout’ was not declared in this scope                  

                                                                                          

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: expected type-specifier before ‘QFormLayout’              

                                                                                             

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: expected @;' before ‘QFormLayout’                               

                                                                                       

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:57: error: ‘QFormLayout’ has not been declared                            

                                                                                        

maker2: *** [src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/plugingui.o] Error 1                                    

[ 43%] Building CXX object src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/moc_plugingui.o                            

In file included from /home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/../../../../src/plugins/scale_bar/plugingui.h:15,                                 

                                                                             

                 from /home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/moc_plugingui.cxx:10:                 

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:24:25: error: qformlayout.h: No such file or directory                     

                                                                                       

In file included from /home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/../../../../src/plugins/scale_bar/plugingui.h:15,                                 

                                                                             

                 from /home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/moc_plugingui.cxx:10:                 

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:31: error: ISO C++ forbids declaration of ‘QFormLayout’ with no

type                                                                                               

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:31: error: expected ‘;’ before ‘*’ token 

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h: In member function ‘void

Ui_QgsScaleBarPluginGuiBase::setupUi(QDialog*)’:                                                                                         

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: ‘formLayout’ was not declared in this scope                  

                                                                                          

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: expected type-specifier before ‘QFormLayout’              

                                                                                             

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:54: error: expected @;' before ‘QFormLayout’                               

                                                                                       

/home/neteler/software/qgis_trunk/build/src/plugins/scale_bar/ui_pluginguibase.h:57: error: ‘QFormLayout’ has not been declared                            

                                                                                        

maker2: *** [src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/moc_plugingui.o] Error 1                                

maker2: Target @src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/build' not remade because of errors.                 

maker1: *** [src/plugins/scale_bar/CMakeFiles/scalebarplugin.dir/all] Error 2                                            

[ 43%] Building CXX object src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/qgsselectgeoraster_ui.o                  

In file included from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsoracleconnect_ui.h:21,               

                 from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsselectgeoraster_ui.cpp:18:           

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:22:25: error: qformlayout.h: No such file or directory

                                                                                                 

In file included from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsoracleconnect_ui.h:21,               

                 from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsselectgeoraster_ui.cpp:18:           

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:27: error: ISO C++ forbids declaration of

‘QFormLayout’ with no type                                                                                    

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:27: error: expected ‘;’ before ‘*’ token                         
/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h: In member function ‘void

Ui_OracleConnectGuiBase::setupUi(QDialog*)’:                                                                                  

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: ‘formLayout’ was not declared in this

scope                                                                                                  

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: expected type-specifier before

‘QFormLayout’                                                                                                 

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: expected @;' before ‘QFormLayout’          

                                                                                                 

maker2: *** [src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/qgsselectgeoraster_ui.o] Error 1                      

[ 44%] Building CXX object src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/qgsoracleconnect_ui.o                    

In file included from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsoracleconnect_ui.h:21,               

                 from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsoracleconnect_ui.cpp:17:             

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:22:25: error: qformlayout.h: No such file or directory

                                                                                                 

In file included from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsoracleconnect_ui.h:21,               

                 from /home/neteler/software/qgis_trunk/src/plugins/oracle_raster/qgsoracleconnect_ui.cpp:17:             

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:27: error: ISO C++ forbids declaration of

‘QFormLayout’ with no type                                                                                    

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:27: error: expected ‘;’ before ‘*’ token                         

                                                                                      

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h: In member function ‘void

Ui_OracleConnectGuiBase::setupUi(QDialog*)’:                                                                                  

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: ‘formLayout’ was not declared in this

scope                                                                                                  

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: expected type-specifier before

‘QFormLayout’                                                                                                 

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: expected @;' before ‘QFormLayout’          

                                                                                                 

maker2: *** [src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/qgsoracleconnect_ui.o] Error 1                        

[ 44%] Building CXX object src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/moc_qgsoracleconnect_ui.o                

In file included from /home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/../../../../src/plugins/oracle_raster/qgsoracleconnect_ui.h:21, 

                                                                                           

                 from /home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/moc_qgsoracleconnect_ui.cxx:10:   

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:22:25: error: qformlayout.h: No such file or directory

                                                                                                 

In file included from /home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/../../../../src/plugins/oracle_raster/qgsoracleconnect_ui.h:21, 

                                                                                           

                 from /home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/moc_qgsoracleconnect_ui.cxx:10:   

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:27: error: ISO C++ forbids declaration of

‘QFormLayout’ with no type                                                                                    

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:27: error: expected ‘;’ before ‘*’ token                         

                                                                                      

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h: In member function ‘void

Ui_OracleConnectGuiBase::setupUi(QDialog*)’:                                                                                  

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: ‘formLayout’ was not declared in this

scope                                                                                                  

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: expected type-specifier before

‘QFormLayout’                                                                                                 

/home/neteler/software/qgis_trunk/build/src/plugins/oracle_raster/ui_qgsoracleconnectbase.h:45: error: expected @;' before ‘QFormLayout’          

                                                                                                 

maker2: *** [src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/moc_qgsoracleconnect_ui.o] Error 1                    

maker2: Target @src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/build' not remade because of errors.               

maker1: *** [src/plugins/oracle_raster/CMakeFiles/oracleplugin.dir/all] Error 2                                          
Linking CXX shared module librasterterrainplugin.so                                                                       

[ 45%] Built target rasterterrainplugin                                                                                   

Linking CXX shared module libquickprintplugin.so                                                                          

[ 46%] Built target quickprintplugin                                                                                      

Linking CXX shared module libcoordinatecaptureplugin.so                                                                   

[ 47%] Built target coordinatecaptureplugin                                                                               

Linking CXX shared module libdxf2shpconverterplugin.so                                                                    

[ 48%] Built target dxf2shpconverterplugin                                                                                

Linking CXX shared module libogrconverterplugin.so                                                                        

[ 49%] Built target ogrconverterplugin                                                                                    

Linking CXX shared module libdiagramoverlay.so                                                                            

[ 52%] Built target diagramoverlay                                                                                        

Linking CXX shared module libevis.so                                                                                      

[ 54%] Built target evis                                                                                                  

Scanning dependencies of target labelingplugin                                                                            

[ 54%] Building CXX object src/plugins/labeling/CMakeFiles/labelingplugin.dir/labeling.o                                  

/home/neteler/software/qgis_trunk/src/plugins/labeling/labeling.cpp: In member function ‘virtual void

[[LabelingTool]]::canvasPressEvent(QMouseEvent*)’:                                                                                                

/home/neteler/software/qgis_trunk/src/plugins/labeling/labeling.cpp:83: error: ‘class QMouseEvent’ has no member named ‘posF’                            

                                                                                          

maker2: *** [src/plugins/labeling/CMakeFiles/labelingplugin.dir/labeling.o] Error 1                                      

[ 54%] Building CXX object src/plugins/labeling/CMakeFiles/labelingplugin.dir/pallabeling.o                               

maker2: Target @src/plugins/labeling/CMakeFiles/labelingplugin.dir/build' not remade because of errors.                  

maker1: *** [src/plugins/labeling/CMakeFiles/labelingplugin.dir/all] Error 2                                             

Linking CXX shared module libspitplugin.so                                                                                

[ 56%] Built target spitplugin                                                                                            

Linking CXX shared module libgpsimporterplugin.so                                                                         

[ 57%] Built target gpsimporterplugin                                                                                     

Linking CXX shared module libwfsplugin.so                                                                                 

[ 58%] Built target wfsplugin                                                                                             

[ 58%] Building CXX object src/plugins/georeferencer/CMakeFiles/georefplugin.dir/qgspointdialog.o                         

In file included from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.h:19,        

                 from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgspointdialog.cpp:35:                  

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:22:25: error: qformlayout.h: No such file

or directory                                                                                        

In file included from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.h:19,        

                 from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgspointdialog.cpp:35:                  

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:27: error: ISO C++ forbids declaration of

‘QFormLayout’ with no type                                                                          

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:27: error: expected ‘;’ before ‘*’ token     

                                                                                                

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h: In member function ‘void

Ui_QgsGeorefWarpOptionsDialogBase::setupUi(QDialog*)’:                                                              

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: ‘formLayout’ was not declared

in this scope                                                                                        

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: expected type-specifier before

‘QFormLayout’                                                                                       

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: expected @;' before

‘QFormLayout’                                                                                                  

maker2: *** [src/plugins/georeferencer/CMakeFiles/georefplugin.dir/qgspointdialog.o] Error 1                             

[ 58%] Building CXX object src/plugins/georeferencer/CMakeFiles/georefplugin.dir/qgsgeorefwarpoptionsdialog.o             

In file included from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.h:19,        

                 from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.cpp:16:      
/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:22:25: error: qformlayout.h: No such file

or directory                                                                                        

In file included from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.h:19,        

                 from /home/neteler/software/qgis_trunk/src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.cpp:16:      

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:27: error: ISO C++ forbids declaration of

‘QFormLayout’ with no type                                                                          

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:27: error: expected ‘;’ before ‘*’ token     

                                                                                                

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h: In member function ‘void

Ui_QgsGeorefWarpOptionsDialogBase::setupUi(QDialog*)’:                                                              

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: ‘formLayout’ was not declared

in this scope                                                                                        

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: expected type-specifier before

‘QFormLayout’                                                                                       

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: expected @;' before

‘QFormLayout’                                                                                                  

maker2: *** [src/plugins/georeferencer/CMakeFiles/georefplugin.dir/qgsgeorefwarpoptionsdialog.o] Error 1                 

[ 58%] Building CXX object src/plugins/georeferencer/CMakeFiles/georefplugin.dir/moc_qgsgeorefwarpoptionsdialog.o         

In file included from

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/../../../../src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.h:19,                    

                                                                 

                 from /home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/moc_qgsgeorefwarpoptionsdialog.cxx:10:                                      

                                                                               

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:22:25: error: qformlayout.h: No such file

or directory                                                                                        

In file included from

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/../../../../src/plugins/georeferencer/qgsgeorefwarpoptionsdialog.h:19,                    

                                                                 

                 from /home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/moc_qgsgeorefwarpoptionsdialog.cxx:10:                                      

                                                                               

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:27: error: ISO C++ forbids declaration of

‘QFormLayout’ with no type                                                                          

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:27: error: expected ‘;’ before ‘*’ token     

                                                                                                

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h: In member function ‘void

Ui_QgsGeorefWarpOptionsDialogBase::setupUi(QDialog*)’:                                                              

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: ‘formLayout’ was not declared

in this scope                                                                                        

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: expected type-specifier before

‘QFormLayout’                                                                                       

/home/neteler/software/qgis_trunk/build/src/plugins/georeferencer/ui_qgsgeorefwarpoptionsdialogbase.h:40: error: expected @;' before

‘QFormLayout’                                                                                                  

maker2: *** [src/plugins/georeferencer/CMakeFiles/georefplugin.dir/moc_qgsgeorefwarpoptionsdialog.o] Error 1             

maker2: Target @src/plugins/georeferencer/CMakeFiles/georefplugin.dir/build' not remade because of errors.

maker1: *** [src/plugins/georeferencer/CMakeFiles/georefplugin.dir/all] Error 2

Linking CXX shared module libgrassplugin.so

[ 66%] Built target grassplugin

[ 67%] Built target pluginstaller

[ 67%] Built target mapserverexport

[ 67%] Built target ftools

[ 68%] Built target osmplugin

[ 70%] Built target ftools_tools

maker1: Target @all' not remade because of errors.
make: *** [all] Error 2

make: Target @default_target' not remade because of errors.

[  0%] Built target svnversion

[  7%] Built target ui

[ 23%] Built target qgis_core

[ 31%] Built target qgis_gui

[ 31%] Building CXX object src/app/CMakeFiles/qgis.dir/qgsmaptoolrotatepointsymbols.o

/home/neteler/software/qgis_trunk/src/app/qgsmaptoolrotatepointsymbols.cpp: In member function ‘double

[[QgsMapToolRotatePointSymbols]]::calculateAzimut(const QPoint&)’:

/home/neteler/software/qgis_trunk/src/app/qgsmaptoolrotatepointsymbols.cpp:258: error: ‘atan2’ was not declared in this scope

/home/neteler/software/qgis_trunk/src/app/qgsmaptoolrotatepointsymbols.cpp:258: error: ‘M_PI’ was not declared in this scope

maker2: *** [src/app/CMakeFiles/qgis.dir/qgsmaptoolrotatepointsymbols.o] Error 1

maker1: *** [src/app/CMakeFiles/qgis.dir/all] Error 2

make: *** [all] Error 2

best,

Markus

#12 - 2009-11-28 10:58 AM - Jürgen Fischer

- Resolution set to wontfix

- Status changed from In Progress to Closed

Sorry.  Looks like we dropped support for Qt 4.3.  Tim is about the change the help viewer to use [[QtWebkit]], which's available started with Qt 4.4.
